appId: com.arx-ccn.eve
productName: Eve
executableName: Eve
icon: public/icon512x512.png
linux:
  category: Network
  target:
    - AppImage
    - flatpak
    - deb
  desktop:
    desktopActions: {}
  extraFiles:
    - from: extras/linux/relay
      to: usr/bin/eve-relay
flatpak:
  runtimeVersion: "24.08"
  license: "LICENSE"
mac:
  category: Network
  target:
    - zip
  entitlementsInherit: build/entitlements.mac.plist
  notarize: false
  extraFiles:
    - from: extras/macos/relay
      to: Resources/macos/eve-relay
directories:
  buildResources: build
files:
  - '!**/.vscode/*'
  - '!src/*'
  - '!electron.vite.config.{js,ts,mjs,cjs}'
  - '!{.eslintignore,.eslintrc.cjs,.prettierignore,.prettierrc.yaml,dev-app-update.yml,CHANGELOG.md,README.md}'
  - '!{.env,.env.*,.npmrc,pnpm-lock.yaml}'
  - '!{tsconfig.json,tsconfig.node.json,tsconfig.web.json}'
asarUnpack:
  - resources/**